curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-yandexmarket-products-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "iphone 15",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-yandexmarket-products-search"
payload = {
"text": "iphone 15",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: 'iphone 15', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-yandexmarket-products-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "yandexmarket_products_search",
"text": "iphone 15",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Yandex Market products search\n\n- **Keyword:** iphone 15\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 1.75 MB",
"machine": {
"total_items": 2,
"first_item": {
"product_id": "5788046272",
"sku_id": "5788046272",
"model_id": "6004411342",
"offer_id": "qRDpdD2wxEo7ihsRA3JIEw",
"business_id": "134799842",
"title": "Модный розово-черный чехол в горошек для iPhone 17 Pro 16 15 14 13 12 11 Айфон 15, Красный, style 1",
"url": "https://market.yandex.ru/card/modnyy-rozovo-chernyy-chekhol-v-goroshek-dlya-iphone-17-pro-16-15-14-13-12-11-xr-xs-max-7-8plus-s-nadpisyu-lucky-myagkiy-silikonovyy-chekhol/5788046272",
"image": "https://avatars.mds.yandex.net/get-mpic/16138826/2a0000019e66f77a7b270eb1cb4d0b2d4fb1/orig",
"alias": "modnyy-rozovo-chernyy-chekhol-v-goroshek-dlya-iphone-17-pro-16-15-14-13-12-11-xr-xs-max-7-8plus-s-nadpisyu-lucky-myagkiy-silikonovyy-chekhol",
"currency": "RUB",
"rating": null,
"rating_count": null,
"purchase_count": null,
"vendor_id": 16644882,
"category_ids": [
"75286538"
],
"specs_highlights": [],
"price_with_card": 163,
"old_price": 256,
"discount_percent": 36,
"condition": "new",
"available_count": 998,
"delivery_text": "3 – 9 ноя, ПВЗ",
"seller_name": null,
"is_sponsored": false,
"is_cross_border": true
},
"items": [
{
"product_id": "5788046272",
"sku_id": "5788046272",
"model_id": "6004411342",
"offer_id": "qRDpdD2wxEo7ihsRA3JIEw",
"business_id": "134799842",
"title": "Модный розово-черный чехол в горошек для iPhone 17 Pro 16 15 14 13 12 11 Айфон 15, Красный, style 1",
"url": "https://market.yandex.ru/card/modnyy-rozovo-chernyy-chekhol-v-goroshek-dlya-iphone-17-pro-16-15-14-13-12-11-xr-xs-max-7-8plus-s-nadpisyu-lucky-myagkiy-silikonovyy-chekhol/5788046272",
"image": "https://avatars.mds.yandex.net/get-mpic/16138826/2a0000019e66f77a7b270eb1cb4d0b2d4fb1/orig",
"alias": "modnyy-rozovo-chernyy-chekhol-v-goroshek-dlya-iphone-17-pro-16-15-14-13-12-11-xr-xs-max-7-8plus-s-nadpisyu-lucky-myagkiy-silikonovyy-chekhol",
"currency": "RUB",
"rating": null,
"rating_count": null,
"purchase_count": null,
"vendor_id": 16644882,
"category_ids": [
"75286538"
],
"specs_highlights": [],
"price_with_card": 163,
"old_price": 256,
"discount_percent": 36,
"condition": "new",
"available_count": 998,
"delivery_text": "3 – 9 ноя, ПВЗ",
"seller_name": null,
"is_sponsored": false,
"is_cross_border": true
},
{
"product_id": "5953858037",
"sku_id": "5953858037",
"model_id": "5953857974",
"offer_id": "Z0f_smbecWsunNYWSU6f3Q",
"business_id": "134799842",
"title": "Роскошный матовый силиконовый бампер для чехла Magsafe для iPhone Айфон 15 Про Макс, Розовый, Pink",
"url": "https://market.yandex.ru/card/matovyy-silikonovyy-bamper-dlya-chekhla-magsafe-dlya-iphone-17-16-15-14-17-pro-max-s-bolshim-prozrachnym-oknom-i-magnitnoy-zadney-kryshkoy/5953858037",
"image": "https://avatars.mds.yandex.net/get-mpic/20315992/2a0000019f54faa92ae0ae3baae818735947/orig",
"alias": "matovyy-silikonovyy-bamper-dlya-chekhla-magsafe-dlya-iphone-17-16-15-14-17-pro-max-s-bolshim-prozrachnym-oknom-i-magnitnoy-zadney-kryshkoy",
"currency": "RUB",
"rating": null,
"rating_count": null,
"purchase_count": null,
"vendor_id": 73921284,
"category_ids": [
"75286538"
],
"specs_highlights": [],
"price_with_card": 428,
"old_price": 548,
"discount_percent": 22,
"condition": "new",
"available_count": 1000,
"delivery_text": "3 – 9 ноя, ПВЗ",
"seller_name": null,
"is_sponsored": false,
"is_cross_border": true
}
],
"total_found": 145,
"page_count": 19,
"blocked": false,
"proxy_traffic_bytes": 1833448
},
"total_points": 2
}Yandex Market products search
Search Yandex Market products by keyword with sort, price, condition, payment, rating, brand and seller filters. 1 point per returned record.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Search term. e.g. iphone 15
Max items (up to 250)
1 <= x <= 250Starting page
x >= 1Sort by. Options: dpop = Popularity, aprice = Price: low to high, dprice = Price: high to low, rating = Rating, date = Newest, discount_p = Biggest discount
dpop, aprice, dprice, rating, date, discount_p Condition. Options: new = New, resale = Resale / used
new, resale Min price (RUB)
Max price (RUB)
Payment method. Options: online = Online, card_courier = Card to courier, cash_courier = Cash to courier, postpaid_pickup = Pay at pickup point
online, card_courier, cash_courier, postpaid_pickup Highly rated only
Brand (vendor ID)
Seller (business ID)
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.